import request from '@/utils/request'

// 工器具库->查询列表
export function listAPI(params) {
    return request({
        url: '/smartPlatform/mainDatabase/tool/getList',
        method: 'GET',
        params
    })
}

/* 工器具库->新增工器具 */
export function addDataAPI(data) {
    return request({
        url: '/smartPlatform/mainDatabase/tool/addData',
        method: 'POST',
        data
    })
}

/* 工器具库->修改工器具 */
export function editDataAPI(data) {
    return request({
        url: '/smartPlatform/mainDatabase/tool/editData',
        method: 'POST',
        data
    })
}

/* 工器具库->删除工器具 */
export function delDataAPI(data) {
    return request({
        url: '/smartPlatform/mainDatabase/tool/delData',
        method: 'POST',
        data
    })
}

/* 工器具库->查询详情 */
export function getDetailDataAPI(params) {
    return request({
        url: '/smartPlatform/mainDatabase/tool/detailData',
        method: 'GET',
        params
    })
}